Liamngls

Mi otro blog

Zattoo en Ubuntu AMD 64 bit

Zattoo, considerado uno de los mejores programas para ver la televisión por internet sin necesidad de una tarjeta de TV no tiene versión para 64 bit, así que vamos a ver como forzar al sistema para que nos lo instale. Para que funcione correctamente necesitamos tener activado OpenGL, el Flash de Adobe (que seguramente ya lo tenemos) y también nos hará falta el script GetLibs que ya podemos ir descargando.

Nos vamos a la página de Zattoo, nos registramos y descargamos el paquete .deb, no vamos a intentar instalarlo porque no es para nuestra arquitectura y nos va a tirar un bonito error, directamente abrimos la consola y nos situamos en la carpeta donde lo hemos descargado, en mi caso el escritorio; escribimos:

lym@lym-laptop:~$ cd Desktop

Ahora vamos a forzar la instalación, escribimos lo siguiente:

lym@lym-laptop:~/Desktop$ sudo dpkg -i --force-architecture zattoo-3.0.8.9191-i386.deb

Fallará y nos dirá que nos falta para poder realizar la instalación, directamente instalamos los paquetes, en mi caso estos:

lym@lym-laptop:~/Desktop$ sudo apt-get install libgtkglext1 libxul0d

Volvemos a forzar la instalación:

lym@lym-laptop:~/Desktop$ sudo dpkg -i --force-architecture zattoo-3.0.8.9191-i386.deb

Ahora instalamos GetLibs que habíamos descargado (si no lo hemos instalado ya o no lo teníamos), doble click en el .deb y una vez instalado volvemos a la consola y ponemos lo siguiente:

lym@lym-laptop:~/Desktop$ sudo getlibs /usr/bin/zattoo_player

Con esto GetLibs buscará todas las librerías necesarias para hacer funcionar a Zattoo, cuando las haya listado en la consola tendremos que aceptar continuar, es un proceso que seguramente tengamos que hacer varias veces, en mi caso tres, escribir Y (del inglés Yes) o S (de Sí, claro) y pulsar enter.

Ahora Zattoo ya debería aparecer en el menú de aplicaciones y ejecutarse normalmente, cuando iniciemos el programa nos pedirá la cuenta de correo con la que nos hemos registrado y la contraseña que hayamos elegido. Si al iniciar te informa de un error con el Flash es posible que tengas la última versión de éste y Zattoo no lo reconozca, la solución sería desinstalarlo y volver a la versión 8 ó aguantarse hasta que salga una versión nueva de Zattoo. Si no tienes OpenGL activado te tirará otro error, puedes ejecutar el programa igualmente pero cuando lo cierres se cargará la sesión y es posible que tengas que reiniciar el modo gráfico, esto se hace pulsando Control+Alt+Backspace.

La info ha sido sacada de: El Mamelón Setígero.

Anuncios

noviembre 4, 2007 - Posted by | Informática, Software Libre

24 comentarios »

  1. gracias tio, pero podrias explicar como pasar al flash 8? no me sale

    Comentario por ruben | noviembre 12, 2007 | Responder

  2. Muchas gracias … y seguramente me salvarás de otros muchos problemas con el GetLibs.

    Comentario por Jose Luis | diciembre 10, 2007 | Responder

  3. Muchas gracias a ti y a tu fuente por este apaño…tiempo llevaba queriendo instalar esta aplicación en mi AMD64.

    Comentario por airnoja | diciembre 29, 2007 | Responder

  4. Muchas gracias!! Por fin puedo ver la tele en Gutsy Gibbon 64. Al iniciar el programa me avisa de que no tengo instalado Flash de Adobe, pero aún así funciona perfectamente. Gracias de nuevo!!

    Comentario por Xaume | enero 4, 2008 | Responder

  5. muxisimas gracias, ya me estaba arrepintiendo de haber cogido el 64 bits

    Comentario por wildu | marzo 3, 2008 | Responder

  6. Yo tengo ubuntu 64bits también y lo he conseguido instalar con el método que habéis puesto aquí, pero funcionó sólo la primera vez, aún dando el error de que no está flash instalado (aunque sí lo está), pero no ha vuelto a funcionar más, se cierra siempre la ventana en cuanto acepto el mensaje de error, no sé porqué.

    Comentario por tonybest | abril 5, 2008 | Responder

  7. Hay una nueva versión Beta de Zattoo, se instala del mismo modo y va bastante bien, es la que estoy utilizando actualmente.

    Si es esa la que usas prueba a desinstalar e instalar nuevamente.

    Comentario por liamngls | abril 5, 2008 | Responder

  8. La versión que había descargado es la que hay en la web de zattoo ahora mismo, la beta 3.1.0, en concreto la 3.1.0.11060, que es la que ha colgado zattoo en su web para descargar como paquete debian, en este caso.
    Lo he desinstalado con dpkg -r, y luego lo he vuelto a instalar con la opción -i –force-architecture, pero al ejecutarlo vuelve a cerrarse sóla la ventana, esta vez ni funciona la primera vez, no hay manera, ya no sé qué hacer.

    Comentario por tonybest | abril 8, 2008 | Responder

  9. Sería cuestión de purgar la instalación e instalar de nuevo o intentar conseguir la versión anterior a ver si hay más suerte 😕

    Comentario por liamngls | abril 9, 2008 | Responder

  10. BUENAS PARA LOS QUE NO LE FUNCIONAN NECESITAN INSTALAR AL PRINCIPIO TAMBiEN LIBCURL3

    ESCRIBIENDO DE NUEVO:

    sudo apt-get install libgtkglext1 libxul0d libcurl3

    y los siguientes pasos de este magnifico

    Comentario por juanka | abril 13, 2008 | Responder

  11. BUENAS PARA LOS QUE NO LE FUNCIONAN NECESITAN INSTALAR AL PRINCIPIO TAMBiEN LIBCURL3

    ESCRIBIENDO DE NUEVO:

    sudo apt-get install libgtkglext1 libxul0d libcurl3

    y los siguientes pasos de este magnifico tutorial

    Comentario por juanka | abril 13, 2008 | Responder

  12. Esas librerías ya estaban instaladas, no van los tiros por ahi.
    Acaba de salir una versión nueva de zattoo, la 3.1.1 beta, la he instalado, pero tampoco funciona, pasa lo mismo, la ventana se cierra nada más aceptar el mensaje de error de Abode flash.
    He probado a desinstalar con el comando dpkg –purge, pero no cambia nada, al volver a instalar vuelve a hacer crash.
    También desactivé los efectos de escritorio a ver si de esa manera se arreglaba, pero da igual que estén o no activados, la ventana se cierra siempre.

    Comentario por tonybest | abril 14, 2008 | Responder

  13. Vaya tela y no encuentro nada por ahí que pueda servir, a ver si ahora con la nueva 8.04 se te soluciona el problema. A las malas siempre podrías usar la versión de Ubuntu de 32 bits.

    Comentario por liamngls | abril 19, 2008 | Responder

  14. En mi caso tengo una Debian sid de 64 bits y el problema está en que al hacer el getlibs me da lo siguiente:

    SyntaxError: invalid syntax
    No match for libcares.so.2
    No match for libssh2.so.1
    No packages to install

    Comentario por Zarovich | abril 21, 2008 | Responder

  15. Eres un crack!!!

    Gracias

    P.D: Yo tengo el paquete zattoo-3.1.1.11916-i386.deb y aunque te de el aviso del Flash funciona perfectamente. Gracias de nuevo, porque ahora que me he lanzado con la versión de 64 bits me hubiera jodido mucho quedarme sin zattoo. Es una pena que no se preocupen mucho por las versiones de 64 bits y que tengas que andar buscándote la vida con el Flash, con zattoo, con cnr client… Espero que se pongan las pilas, porque ya hay muchos ordenadores de 64 bits y el software para ellos aún es escaso.

    Comentario por Bend3r | abril 25, 2008 | Responder

  16. Me han ido genial tus instrucciones. En el último paso se me quedaba alguna vez “zombie” el proceso del terminal, mientras ponía “downloading” para instalar los últimos paquetes, pero con paciencia pasó a instalarlos, y ya funcionó perfectamente, eso sí, con algunos mensajes de error antes de flash no instalado que he ignorado 😛

    En ubuntu 8.04 64 bits, y con la última versión .deb del zattoo 🙂

    Comentario por revfran | abril 26, 2008 | Responder

  17. Pues mira, con la nueva versión de Ubuntu, la 8.04, por fin ésto funciona, ya era hora. Sigue dando el error de flash que le sale a todo el mundo, pero ya no se cierra, sino que sale la ventana que pide la contraseña (a ver si lo recuerda con el key chain, no lo he probado aún) y, a continuación, ya sale la ventana normal de zattoo, con los canales y se aguanta bien, aún cambiando de canal. Los menús no se mantienen mientras se ve la tele, si quieres cambiar alguna cosa hay que hacerlo antes de poner un canal, pero bueno, es un fallo menor, lo que cuenta es que funciona la tele, que es de lo que se trata.

    Comentario por tonybest | mayo 3, 2008 | Responder

  18. A mi en el tema de los errores me iba mejor con la 7.10, pero como bien dices funciona y eso es lo importante.

    Me alegro que te funcione 🙂

    Comentario por liamngls | mayo 4, 2008 | Responder

  19. Al hacer: lym@lym-laptop:~$ cd Desktop

    me sale esto:

    bash: lym@lym-laptop:~$: orden no encontrada

    Soy novato con ubuntu, gracias

    Comentario por Emilio | mayo 5, 2008 | Responder

  20. Olviden mi comentario.

    Comentario por Emilio | mayo 5, 2008 | Responder

  21. Jeje, cosas que pasan 😉

    Comentario por liamngls | mayo 5, 2008 | Responder

  22. SyntaxError: invalid syntax
    No match for libcares.so.2
    No match for libssh2.so.1
    No packages to install

    yo lo solucione haciendo un getlibs -32 libc-ares1 para poner el libcares.so.2 i para el libssh2.so.2 descargue el libssh2-xxx_i386.deb y hacer un getlibs -i rutadellibssh2.deb
    Saludos.

    Comentario por Albert | mayo 17, 2008 | Responder

  23. ole, ole y ole. Esta claro que los alumnos al final seran maestros. Cuantos mas maestros mas alumnos. Viva el software libre (animo a todos a colaborar en la aportacion finaciera).

    Comentario por jemelo84 | mayo 26, 2008 | Responder

  24. […] Enlace: Zattoo en Ubuntu AMD 64 bits […]

    Pingback por Como instalar Zattoo en Ubuntu de 64 bits | Otro Blog Geek | junio 23, 2008 | Responder


Responder

Por favor, inicia sesión con uno de estos métodos para publicar tu comentario:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: